Skip to main content
GET
/
api
/
v1
/
products
List products
curl --request GET \
  --url https://shelfforce.ai/api/v1/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "brand": "<string>",
      "description": "<string>",
      "units": 2,
      "sku": "<string>",
      "category": "<string>",
      "subcategory": "<string>",
      "price": 123,
      "discountedPrice": 123,
      "currency": "<string>",
      "onSale": true,
      "confidence": 0.5,
      "shelfPosition": "<string>",
      "fixtureType": "shelf"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Query Parameters

brand
string

Filter by brand name (case-insensitive exact match).

Example:

"Coca-Cola"

category
string

Filter by product category.

Example:

"Beverages"

analysisId
string

Filter by a specific analysis ID.

Example:

"an_g7h8j9k0"

placeId
string

Filter by place ID.

Example:

"pl_abc123"

cursor
string

Opaque pagination cursor returned in the previous response.

limit
integer
default:25

Maximum number of items to return (default 25, max 100).

Required range: 1 <= x <= 100

Response

Paginated list of products.

data
object[]
required
pagination
object
required

Cursor-based pagination metadata.